%define upstream_name	 DBIx-Class-Schema-Loader
%define upstream_version 0.07049

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Epoch:      1

Summary:    Dynamic definition of a DBIx::Class::Schema
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

Provides:   perl(DBIx::Class::Schema::Loader::Utils)

BuildConflicts: perl-Lingua-EN-Tagger < 0.250.0-4
BuildRequires: perl(Carp::Clan)
BuildRequires: perl(Class::Accessor::Grouped) >= 0.100.80
BuildRequires: perl(Class::C3::Componentised) >= 1.0.800
BuildRequires: perl(Class::Inspector) >= 1.270.0
BuildRequires: perl(Class::Unload) >= 0.70.0
BuildRequires: perl(DBD::SQLite) >= 1.290.0
BuildRequires: perl(DBIx::Class) >= 0.81.270
BuildRequires: perl(DBIx::Class::IntrospectableM2M)
BuildRequires: perl(Data::Dump) >= 1.60.0
BuildRequires: perl(Digest::MD5) >= 2.360.0
BuildRequires: perl(Exporter) >= 5.630.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Path) >= 2.70.0
BuildRequires: perl(File::Temp) >= 0.160.0
BuildRequires: perl(Hash::Merge) >= 0.120.0
BuildRequires: perl(Lingua::EN::Inflect::Number) >= 1.100.0
BuildRequires: perl(Lingua::EN::Inflect::Phrase) >= 0.150.0
BuildRequires: perl(Lingua::EN::Tagger) >= 0.230.0
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(MRO::Compat) >= 0.90.0
BuildRequires: perl(Scope::Guard) >= 0.200.0
BuildRequires: perl(String::CamelCase) >= 0.20.0
BuildRequires: perl(String::ToIdentifier::EN) >= 0.50.0
BuildRequires: perl(Sub::Util) >= 1.400.0
BuildRequires: perl(Test::Deep) >= 0.107.0
BuildRequires: perl(Test::Differences) >= 0.600.0
BuildRequires: perl(Test::Exception) >= 0.310.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Warn) >= 0.210.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(curry) >= 1.0.0
BuildRequires: perl(namespace::clean) >= 0.230.0
BuildArch:  noarch

%{?perl_default_filter}

%description
DBIx::Class::Schema::Loader automates the definition of a DBIx::Class::Schema
by scanning database table definitions and setting up the columns, primary
keys, and relationships.

DBIx::Class::Schema::Loader currently supports only the DBI storage type. It
has explicit support for DBD::Pg, DBD::mysql, DBD::DB2, DBD::SQLite, and
DBD::Oracle. Other DBI drivers may function to a greater or lesser degree with
this loader, depending on how much of the DBI spec they implement, and how
standard their implementation is.

See DBIx::Class::Schema::Loader::DBI::Writing for notes on writing your own
vendor-specific subclass for an unsupported DBD driver.

This module obsoletes the older DBIx::Class::Loader.

This module is designed more to get you up and running quickly against an
existing database, or to be effective for simple situations, rather than to be
what you use in the long term for a complex database/project.

That being said, transitioning your code from a Schema generated by this module
to one that doesn't use this module should be straightforward and painless, so
don't shy away from it just for fears of the transition down the road.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl  -pi -e "s/('DBD::(DB2|Oracle))/#$1/g" Makefile.PL
%__perl Makefile.PL
%make INSTALLDIRS=vendor

%check
# probably just a missing build dependency
rm -f t/20invocations.t
make test

%install
%make_install  INSTALLDIRS=vendor

%files
%doc Changes META.yml MYMETA.yml
%{perl_vendorlib}/DBIx
%{_mandir}/*/*
%{_bindir}/dbicdump


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1:0.70.490-3.mga8
+ Revision: 1503660
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1:0.70.490-2.mga7
+ Revision: 1282607
- Mageia 7 Mass Rebuild

* Mon Apr 09 2018 kekepower <kekepower> 1:0.70.490-1.mga7
+ Revision: 1216681
- Update to version 0.07049

* Sun Jan 28 2018 shlomif <shlomif> 1:0.70.480-1.mga7
+ Revision: 1197635
- update to 0.07048

* Mon Oct 02 2017 tv <tv> 1:0.70.470-2.mga7
+ Revision: 1163985
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 1:0.70.470-1.mga7
+ Revision: 1158241
- update to 0.07047

* Sun Jun 19 2016 pterjan <pterjan> 1:0.70.450-4.mga6
+ Revision: 1025469
- Rebuild for perl 5.22.2

* Thu Mar 31 2016 tv <tv> 1:0.70.450-3.mga6
+ Revision: 997229
- BuildConflicts with bogus version of perl-Lingua-EN-Tagger (thus fixing testsuite)

* Thu Mar 24 2016 tv <tv> 1:0.70.450-2.mga6
+ Revision: 995142
- fix installing in the right place
- there's no more README
- new version
- bump release for nonfree :-(
- update BRs
- fix build warnings: move INSTALLDIR in right place

* Sat Jul 04 2015 sander85 <sander85> 1:0.70.430-1.mga6
+ Revision: 850340
- update to 0.07043

* Wed Oct 15 2014 umeabot <umeabot> 1:0.70.420-4.mga5
+ Revision: 741340
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1:0.70.420-3.mga5
+ Revision: 735551
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1:0.70.420-2.mga5
+ Revision: 684126
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 sander85 <sander85> 1:0.70.420-1.mga5
+ Revision: 665940
- update to 0.07042

* Sun Aug 10 2014 sander85 <sander85> 1:0.70.410-1.mga5
+ Revision: 661483
- update to 0.07041

* Tue May 27 2014 sander85 <sander85> 1:0.70.400-1.mga5
+ Revision: 627070
- update to 0.07040

* Sun Feb 09 2014 sander85 <sander85> 1:0.70.390-1.mga5
+ Revision: 587435
- update to 0.07039

* Wed Jan 01 2014 pterjan <pterjan> 1:0.70.360-3.mga4
+ Revision: 563834
- Add missing buildRequires
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Mon Jul 08 2013 sander85 <sander85> 1:0.70.360-1.mga4
+ Revision: 451455
- update to 0.07036

* Fri Jun 07 2013 jquelin <jquelin> 1:0.70.350-1.mga4
+ Revision: 439000
- update to 0.07035

* Wed Mar 27 2013 guillomovitch <guillomovitch> 1:0.70.330-2.mga3
+ Revision: 405821
- disable test failing on the build host
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- update to 0.07033
- update to 0.07025
- parallel tests not yet supported
- update to 0.07024

* Fri Feb 24 2012 jquelin <jquelin> 1:0.70.170-1.mga2
+ Revision: 213689
- update to 0.07017

* Sat Dec 10 2011 kharec <kharec> 1:0.70.150-1.mga2
+ Revision: 179919
- update to 0.07015

* Thu Dec 08 2011 kharec <kharec> 1:0.70.140-1.mga2
+ Revision: 179170
- update to 0.07014

* Mon Nov 14 2011 jquelin <jquelin> 1:0.70.120-1.mga2
+ Revision: 167648
- update to 0.07012

* Wed Nov 09 2011 jquelin <jquelin> 1:0.70.110-1.mga2
+ Revision: 165846
- update to 0.07011

* Wed Mar 09 2011 jquelin <jquelin> 1:0.70.100-1.mga1
+ Revision: 66941
- update to 0.07010

* Fri Feb 25 2011 jquelin <jquelin> 1:0.70.90-1.mga1
+ Revision: 59811
- update to 0.07009

* Sat Feb 12 2011 dmorgan <dmorgan> 1:0.70.60-1.mga1
+ Revision: 50792
- New version

* Mon Jan 31 2011 dmorgan <dmorgan> 1:0.70.50-1.mga1
+ Revision: 45278
- Fix buildrequire
- New version

* Tue Jan 25 2011 jquelin <jquelin> 1:0.70.20-2.mga1
+ Revision: 38800
- imported package perl-DBIx-Class-Schema-Loader


* Sat Oct 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.70.20-2mdv2011.0
+ Revision: 586142
- fix dependencies

* Sat Oct 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.70.20-1mdv2011.0
+ Revision: 586099
- new version
- new version

* Sun Apr 18 2010 Jérôme Quelin <jquelin@mandriva.org> 1:0.60.10-1mdv2010.1
+ Revision: 536139
- adding missing buildrequires:
- update to 0.06001

* Wed Feb 24 2010 Jérôme Quelin <jquelin@mandriva.org> 1:0.50.30-1mdv2010.1
+ Revision: 510520
- update to 0.05003

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new version

* Mon Feb 15 2010 Jérôme Quelin <jquelin@mandriva.org> 1:0.50.20-1mdv2010.1
+ Revision: 506237
- update to 0.05002

* Mon Feb 08 2010 Jérôme Quelin <jquelin@mandriva.org> 1:0.50.10-1mdv2010.1
+ Revision: 502093
- update to 0.05001

* Tue Feb 02 2010 Jérôme Quelin <jquelin@mandriva.org> 1:0.50.0-1mdv2010.1
+ Revision: 499694
- adding missing buildrequires:
- adding missing buildrequires:
- bumping epoch
- update to 0.05000

* Thu May 21 2009 Jérôme Quelin <jquelin@mandriva.org> 0.04006-1mdv2010.0
+ Revision: 378139
- update to new version 0.04006

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.04005-2mdv2009.0
+ Revision: 268406
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.04005-1mdv2009.0
+ Revision: 193796
- update to new version 0.04005

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix description

* Mon Nov 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.04004-1mdv2008.1
+ Revision: 110282
- update to new version 0.04004

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.04003-1mdv2008.1
+ Revision: 97492
- update to new version 0.04003

* Tue Aug 28 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.04002-1mdv2008.0
+ Revision: 72801
- update to new version 0.04002

* Wed Aug 22 2007 Buchan Milne <bgmilne@mandriva.org> 0.04001-1mdv2008.0
+ Revision: 68881
- Buildrequires
- Try and avoid CPAN totally

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - import perl-DBIx-Class-Schema-Loader


* Wed Jul 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.04001-1mdv2008.0
- initial mdv release
